const _Http = getApp().globalData.http,
    MFT = require("../../utils/matchingFeilType");

Page({
    /**
     * 页面的初始数据
     */
    data: {
        rate: {
            nubmer: 5,
            text: "非常满意"
        },
        videoList: [],
        loading: false,
        isEvaluate: false
    },
    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        console.log(options)
        this.setData({
            feedback: options.feedback,
            viewData: options.viewData
        })
        /* 详情 */
        _Http.basic({
            "classname": "saletool.notice.notice",
            "method": "queryNoticeMain",
            "content": {
                "sat_noticeid": options.id
            }
        }).then(res => {
            console.log('详情', res)
            if (res.msg != '成功') return wx.showToast({
                title: res.data,
                icon: "none"
            });
            let list = MFT.fileList(res.data.attinfos.filter(v => v.usetype != 'cover')),
                videoList = [],
                attinfos = [];
            if (list.length > 0) {
                for (let i = 0; i < list.length; i++) {
                    list[i].fileType == 'video' ? videoList.push(list[i]) : attinfos.push(list[i]);
                }
                res.data.attinfos = attinfos;
            }
            if (res.data.content.length) res.data.content = decodeURIComponent(res.data.content);
            this.setData({
                detailsData: res.data,
                videoList
            });
        });
        _Http.basic({
            "classname": "saletool.notice.notice",
            "method": "queryReadRecord",
            "content": {
                "sat_noticeid": options.id
            }
        }).then(res => {
            if (res.msg != '成功') return wx.showToast({
                title: res.data,
                icon: "none"
            });
            let isEvaluate = false;
            if (res.data.score != 0) {
                this.rateChange({
                    detail: res.data[0].score
                })
                isEvaluate = true;
            }
            this.setData({
                evaluate: res.data[0],
                isEvaluate
            })
        });
    },
    /* 评分 */
    rateChange({
        detail
    }) {
        console.log(detail)
        let rate = {
            nubmer: detail,
            text: ""
        }
        switch (detail) {
            case 1:
                rate.text = '很不满意'
                break;
            case 2:
                rate.text = '不满意'
                break;
            case 3:
                rate.text = '一般'
                break;
            case 4:
                rate.text = '满意'
                break;
            case 5:
                rate.text = '非常满意'
                break;
        }
        console.log(rate)
        this.setData({
            rate
        })
    },
    textInput({
        detail
    }) {
        this.setData({
            "evaluate.leavemessage": detail.value
        })
    },
    submit() {
        if (this.data.isEvaluate) return wx.showToast({
            title: '您已提交过建议',
            icon: "none"
        })
        const evaluate = this.data.evaluate,
            that = this;
        if (evaluate.leavemessage.length > 0) {
            that.updateReadRecord()
        } else {
            wx.showModal({
                title: "提示",
                content: "通告评分（建议与反馈）没有完成，是否确认提交，提交后无法修改",
                success: res => {
                    if (res.confirm) that.updateReadRecord()
                }
            })
        }
    },
    updateReadRecord() {
        this.setData({
            loading: true
        })
        _Http.basic({
            "classname": "saletool.notice.notice",
            "method": "updateReadRecord",
            "content": {
                "sat_noticeid": this.data.detailsData.sat_noticeid,
                "score": this.data.rate.nubmer,
                "leavemessage": this.data.evaluate.leavemessage
            }
        }).then(res => {
            this.setData({
                loading: false
            });
            if (res.msg != '成功') return wx.showToast({
                title: res.data,
                icon: "none"
            });
            wx.showToast({
                title: '提交成功!',
            });
            this.setData({
                isEvaluate: true
            })
        })
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {},
    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})