const _Http = getApp().globalData.http;
Page({

    /**
     * 页面的初始数据
     */
    data: {
        wusercenter: false, //个人中心权限
        userMsg: {},
        pathList: [], //功能权限
    },
    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        this.queryUserMsg();
        let auth = getApp().globalData.queryPer.query(wx.getStorageSync('userauth'), ['通用'], ['个人中心'])[0].apps;
        let wusercenter = false; //个人中心
        let pathList = [];
        auth.forEach(v => {
            if (v.name == 'wusercenter') {
                wusercenter = true;
            } else {
                switch (v.name) {
                    case "teamManagement":
                        pathList.push({
                            name: "团队管理",
                            icon: "icon-a-wodetuanduiguanli",
                            color: "var(--assist)",
                            path: `/${v.path}`
                        })
                        break;
                    case "changePassword":
                        pathList.push({
                            name: "修改登录密码",
                            icon: "icon-a-wodeguanyuyingyong",
                            color: "var(--warning)",
                            path: `/${v.path}`
                        })
                        break;
                    case "wechatAgreement":
                        pathList.push({
                            name: "绑定微信",
                            icon: "icon-a-wodebangdingweixin",
                            color: "var(--success)",
                            path: `#`
                        })
                        break;
                }
            }
        });
        this.setData({
            wusercenter,
            pathList
        })
    },
    /* 查询用户信息 */
    queryUserMsg() {
        _Http.basic({
            "classname": "common.usercenter.usercenter",
            "method": "queryUserMsg",
            "content": {}
        }).then(res => {
            console.log("个人信息", res)
            if (res.msg != '成功') return wx.showToast({
                title: res.data,
                icon: "none"
            })
            this.setData({
                userMsg: res.data
            })
        })
    },
    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {
        this.getTabBar().init();
    },
    /* 退出登录 */
    outLogin() {
        _Http.logout().then(res => {
            wx.showToast({
                title: '退出成功'
            });
            setTimeout(() => {
                wx.reLaunch({
                    url: '/pages/login/phone',
                })
            }, 300)
        })
    },
    /* 去修改用户信息 */
    changeUserMsg() {
        let {
            name,
            phonenumber,
            attinfos
        } = this.data.userMsg;
        wx.navigateTo({
            url: `./userMsg/index?attinfos=${JSON.stringify(attinfos)}&name=${name}&phonenumber=${phonenumber}`
        })
    },
    listClick(e) {
        const {
            item
        } = e.currentTarget.dataset;
        const that = this;
        if (item.name == '绑定微信') return wx.getUserProfile({
            desc: '用于完善会员资料', // 声明获取用户个人信息后的用途，后续会展示在弹窗中，请谨慎填写
            success: ({
                userInfo
            }) => {
                wx.login({
                    success(res) {
                        if (res.code) _Http.basic({
                            "classname": "common.usercenter.usercenter",
                            "method": "WechatBinding",
                            content: {
                                "wechat_code": res.code,
                                isbinging: 1, // 0解绑 1绑定
                                wechatuserinfo: userInfo
                            }
                        }).then(res => {
                            console.log(res)
                            if (res.code == 0) return wx.showToast({
                                title: res.data,
                                icon: "none"
                            });
                            wx.showToast({
                                title: '绑定成功',
                            })
                            that.setData({
                                "userMsg.iswechatbinding": true
                            })
                        })
                    }
                })
            },
            fail: () => {
                wx.showToast({
                    title: '绑定失败，未获得授权',
                    icon: "none"
                })
            }
        })
    }
})